org.wso2.carbon.cloud.gateway.agent.stub.types.carbon

## Class CGServerBean

- java.lang.Object
- - org.wso2.carbon.cloud.gateway.agent.stub.types.carbon.CGServerBean

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class CGServerBean
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  CGServerBean bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CGServerBean.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localDomainName` field for DomainName
    `protected boolean` | `localDomainNameTracker`
    `protected String` | `localHost` field for Host
    `protected boolean` | `localHostTracker`
    `protected String` | `localName` field for Name
    `protected boolean` | `localNameTracker`
    `protected String` | `localPassWord` field for PassWord
    `protected boolean` | `localPassWordTracker`
    `protected String` | `localPort` field for Port
    `protected boolean` | `localPortTracker`
    `protected String` | `localUserName` field for UserName
    `protected boolean` | `localUserNameTracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CGServerBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDomainName()` Auto generated getter method
    `String` | `getHost()` Auto generated getter method
    `String` | `getName()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `String` | `getPassWord()` Auto generated getter method
    `String` | `getPort()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `String` | `getUserName()` Auto generated getter method
    `boolean` | `isDomainNameSpecified()`
    `boolean` | `isHostSpecified()`
    `boolean` | `isNameSpecified()`
    `boolean` | `isPassWordSpecified()`
    `boolean` | `isPortSpecified()`
    `boolean` | `isUserNameSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setDomainName(String param)` Auto generated setter method
    `void` | `setHost(String param)` Auto generated setter method
    `void` | `setName(String param)` Auto generated setter method
    `void` | `setPassWord(String param)` Auto generated setter method
    `void` | `setPort(String param)` Auto generated setter method
    `void` | `setUserName(String param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localDomainName

          protected String localDomainName

      field for DomainName

    - #### localDomainNameTracker

          protected boolean localDomainNameTracker

    - #### localHost

          protected String localHost

      field for Host

    - #### localHostTracker

          protected boolean localHostTracker

    - #### localName

          protected String localName

      field for Name

    - #### localNameTracker

          protected boolean localNameTracker

    - #### localPassWord

          protected String localPassWord

      field for PassWord

    - #### localPassWordTracker

          protected boolean localPassWordTracker

    - #### localPort

          protected String localPort

      field for Port

    - #### localPortTracker

          protected boolean localPortTracker

    - #### localUserName

          protected String localUserName

      field for UserName

    - #### localUserNameTracker

          protected boolean localUserNameTracker

  - ### Constructor Detail

    - #### CGServerBean

          public CGServerBean()

  - ### Method Detail

    - #### isDomainNameSpecified

          public boolean isDomainNameSpecified()

    - #### getDomainName

          public String getDomainName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setDomainName

          public void setDomainName(String param)

      Auto generated setter method
      Parameters:
        `param` - DomainName

    - #### isHostSpecified

          public boolean isHostSpecified()

    - #### getHost

          public String getHost()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setHost

          public void setHost(String param)

      Auto generated setter method
      Parameters:
        `param` - Host

    - #### isNameSpecified

          public boolean isNameSpecified()

    - #### getName

          public String getName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setName

          public void setName(String param)

      Auto generated setter method
      Parameters:
        `param` - Name

    - #### isPassWordSpecified

          public boolean isPassWordSpecified()

    - #### getPassWord

          public String getPassWord()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setPassWord

          public void setPassWord(String param)

      Auto generated setter method
      Parameters:
        `param` - PassWord

    - #### isPortSpecified

          public boolean isPortSpecified()

    - #### getPort

          public String getPort()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setPort

          public void setPort(String param)

      Auto generated setter method
      Parameters:
        `param` - Port

    - #### isUserNameSpecified

          public boolean isUserNameSpecified()

    - #### getUserName

          public String getUserName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setUserName

          public void setUserName(String param)

      Auto generated setter method
      Parameters:
        `param` - UserName

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.